PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- decode_mixed

# decode_mixed

pydl.pydlutils.misc.decode_mixed(x)

  Convert bytes in Numpy arrays into strings. Leave other stuff alone.

  Parameters
    x object

      Input object.

  Returns
    object

      If `x` has a `decode()` method, `x.decode()` will be returned. Otherwise `x` will be returned unchanged.